> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cert-manager-sdk-python/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cert-manager-sdk-python/api/informationapi.md).

# InformationApi

## InformationApi

All URIs are relative to *<https://api.ionos.com>*

| Method                                                    | HTTP request                             | Description                         |
| --------------------------------------------------------- | ---------------------------------------- | ----------------------------------- |
| [**get\_info**](#get_info)                                | **GET** /certificatemanager              | Get the Service API Information     |
| [**get\_json\_open\_api\_spec**](#get_json_open_api_spec) | **GET** /certificatemanager/openapi.json | Get the Open API Documentation JSON |
| [**get\_yaml\_open\_api\_spec**](#get_yaml_open_api_spec) | **GET** /certificatemanager/openapi.yaml | Get the Open API Documentation YAML |

## **get\_info**

> ApiInfoDto get\_info()

Get the Service API Information

Retrieves the service API information.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud_cert_manager
from ionoscloud_cert_manager.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com
configuration = ionoscloud_cert_manager.Configuration(
    host = 'https://api.ionos.com',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud_cert_manager.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud_cert_manager.InformationApi(api_client)
    try:
        # Get the Service API Information
        api_response = api_instance.get_info()
        print(api_response)
    except ApiException as e:
        print('Exception when calling InformationApi.get_info: %s\n' % e)
```

#### Parameters

This endpoint does not need any parameter.

#### Return type

[**ApiInfoDto**](/cert-manager-sdk-python/models/apiinfodto.md)

#### Authorization

basicAuth, tokenAuth

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **get\_json\_open\_api\_spec**

> file get\_json\_open\_api\_spec()

Get the Open API Documentation JSON

Displays the Open API documentation in the JSON format.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud_cert_manager
from ionoscloud_cert_manager.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com
configuration = ionoscloud_cert_manager.Configuration(
    host = 'https://api.ionos.com',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud_cert_manager.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud_cert_manager.InformationApi(api_client)
    try:
        # Get the Open API Documentation JSON
        api_response = api_instance.get_json_open_api_spec()
        print(api_response)
    except ApiException as e:
        print('Exception when calling InformationApi.get_json_open_api_spec: %s\n' % e)
```

#### Parameters

This endpoint does not need any parameter.

#### Return type

**file**

#### Authorization

basicAuth, tokenAuth

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **get\_yaml\_open\_api\_spec**

> file get\_yaml\_open\_api\_spec()

Get the Open API Documentation YAML

Displays the Open API documentation in the YAML format.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud_cert_manager
from ionoscloud_cert_manager.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com
configuration = ionoscloud_cert_manager.Configuration(
    host = 'https://api.ionos.com',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud_cert_manager.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud_cert_manager.InformationApi(api_client)
    try:
        # Get the Open API Documentation YAML
        api_response = api_instance.get_yaml_open_api_spec()
        print(api_response)
    except ApiException as e:
        print('Exception when calling InformationApi.get_yaml_open_api_spec: %s\n' % e)
```

#### Parameters

This endpoint does not need any parameter.

#### Return type

**file**

#### Authorization

basicAuth, tokenAuth

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/yaml


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cert-manager-sdk-python/api/informationapi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
